#!/usr/bin/perl
##
# Top Films reader.
#
# This is just an example of how you might read the information about the
# charts from the directory that they were written to by the
# TopFilms-fetcher.pl).
#

# Common modules.
use XML::Simple;
use File::Slurp;
use Data::Dumper;
use Getopt::Long;

my $inputdir = "filmcharts";

opendir(my $dh, $inputdir);
my @files = readdir($dh);
closedir($dh);

my $file = "IMDB-Action.xml";

my $content = read_file( "$inputdir/$file" );
my $xml = XML::Simple::XMLin( $content );

print Dumper($xml);